com.trilead.ssh2.packets

## Class PacketUserauthBanner

- java.lang.Object
- - com.trilead.ssh2.packets.PacketUserauthBanner

    public class PacketUserauthBanner
    extends java.lang.Object

PacketUserauthBanner.

### Constructor Summary

Constructors
Constructor and Description
`PacketUserauthBanner(byte[] payload, int off, int len)`
`PacketUserauthBanner(java.lang.String message, java.lang.String language)`

### Method Summary

Methods
`java.lang.String` `getBanner()`
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketUserauthBanner

    public PacketUserauthBanner(java.lang.String message,
                        java.lang.String language)

#### PacketUserauthBanner

    public PacketUserauthBanner(byte[] payload,
                        int off,
                        int len)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getBanner

    public java.lang.String getBanner()

#### getPayload

    public byte[] getPayload()